const system = require("../../../system");
const ServiceBase = require("../../svems.base")

class MerchanttradeServcie extends ServiceBase {
    constructor() {
        super();
    }

    async merchanttradesOfList(params) {
        try {
            return await this.callms("sve_merchant", "merchanttradesOfList", params);
        } catch (error) {
            return system.getResult(null, `系统错误 错误信息 ${error}`);
        }
    }

    async addMerchanttrades(params) {
        try {
            return await this.callms("sve_merchant", "addMerchanttrades", params);
        } catch (error) {
            return system.getResult(null, `系统错误 错误信息 ${error}`);
        }
    }

    async auditMerchanttrade(params) {
        try {
            return await this.callms("sve_merchant", "auditMerchanttrade", params);
        } catch (error) {
            return system.getResult(null, `系统错误 错误信息 ${error}`);
        }
    }

    async merchanttradesOfListAll(params) {
        try {
            return await this.callms("sve_merchant", "merchanttradesOfListAll", params);
        } catch (error) {
            return system.getResult(null, `系统错误 错误信息 ${error}`);
        }
    }

    async valetorder(params) {
        try {
            return await this.callms("sve_merchant", "valetorder", params);
        } catch (error) {
            return system.getResult(null, `系统错误 错误信息 ${error}`);
        }
    }
}

module.exports = MerchanttradeServcie;
